Square_Info Struct Reference

Square block cipher information. More...

`#include <square.h>`

Inheritance diagram for Square_Info:

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 16 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function.

## Additional Inherited Members

Static Public Attributes inherited from FixedBlockSize< 16 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from FixedKeyLength< 16 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant.
Static Public Attributes inherited from FixedRounds< 8 >
static const int | ROUNDS
| The number of rounds for the algorithm provided as a constant.

## Detailed Description

Square block cipher information.

Since
  Crypto++ 2.2

Definition at line 16 of file square.h.

## Member Function Documentation

## StaticAlgorithmName()

const char * Square_Info::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 18 of file square.h.

The documentation for this struct was generated from the following file:

- square.h